Subject: bug#48343: Cannot boot after installation

From: Bone Baboon <[email-masked]>
Date: Tue, 11 May 2021 09:48:40 -0400

Sergey Petrov writes:

> Hi! I've installed ordinary guix system following graphical installer,
> but can't boot it, here what I got after installation complete:
>
> GC Warning: pthread_getattr_pp or pthread_attr_getstack failed for
> main thread GC Warning:
> Couldn't read /proc/stat
> Welcome, this is GMU's early boot Guile.
> Use '--repl' for an initrd REPL.
>
> loading kernel modules...
> /dev/nvme0n1p8: clean,
> 134898/5169152 files, 1320485/20649216 blocks
> loading '/gnu/store/519yr5adx95d26s3nu65mjOcc9731630-system/boot...
> making '/gnu/store/519yr5adx95d26s3nu65mj0cc9731630-system' the
> current system...
> setting up setuid programs in '/run/setuid-programs'...
> populating /etc from /gnu/store/d6k3c7p2s6ji0ix2g3lafx4iwOd43a98-etc...
> error in finalization thread: Success
> [   3.049660] udevd[272]: no sender credentials received, message ignored
> [   3.098019] sp5100-tco sp5100-tco: Watchdog hardware is disabled
> [   3.104103] Error: Driver 'pcspkr' is already registered, aborting...
> [   3.180575] kvm: disabled by bios
>
> At this point computer hangs infinitely, and if I enable CPU
> virtualization in BIOS it starts to hang at line "[   3.104103] Error: 
> Driver 'pcspkr' is already registered, aborting..."

I ran into a similar issue with a computer I installed Guix on.  It
would not complete the boot up process.  I am not sure if I was
experiencing the same issue you are as I did not submit it to a Guix
mailing list.  I got help solving it on #guix.  What worked for me was
to add the Linux kernel argument `nomodeset` to my system configuration.
In the operating system declaration of the system configuration I added:

```
  (kernel-arguments
   (append
    (list "nomodeset")
    %default-kernel-arguments))
```